cURL
curl --request POST \
--url https://api.maesn.dev/accounting/projects \
--header 'Content-Type: application/json' \
--header 'X-ACCOUNT-KEY: <x-account-key>' \
--header 'X-API-KEY: <x-api-key>' \
--data '
{
"code": "9012",
"contactId": "eaa28f49-6028-4b6e-bb12-d8f6278073fc",
"currency": "EUR",
"description": "Service and Maintenance Project",
"endDate": "2021-01-01T00:00:00Z",
"name": "Service und Unterhalt",
"parentProjectId": "e587bs49-5be6-ee11-a201-6045bde98d28",
"status": "ACTIVE",
"startDate": "2021-01-01T00:00:00Z"
}
'import requests
url = "https://api.maesn.dev/accounting/projects"
payload = {
"code": "9012",
"contactId": "eaa28f49-6028-4b6e-bb12-d8f6278073fc",
"currency": "EUR",
"description": "Service and Maintenance Project",
"endDate": "2021-01-01T00:00:00Z",
"name": "Service und Unterhalt",
"parentProjectId": "e587bs49-5be6-ee11-a201-6045bde98d28",
"status": "ACTIVE",
"startDate": "2021-01-01T00:00:00Z"
}
headers = {
"X-API-KEY": "<x-api-key>",
"X-ACCOUNT-KEY": "<x-account-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'X-API-KEY': '<x-api-key>',
'X-ACCOUNT-KEY': '<x-account-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
code: '9012',
contactId: 'eaa28f49-6028-4b6e-bb12-d8f6278073fc',
currency: 'EUR',
description: 'Service and Maintenance Project',
endDate: '2021-01-01T00:00:00Z',
name: 'Service und Unterhalt',
parentProjectId: 'e587bs49-5be6-ee11-a201-6045bde98d28',
status: 'ACTIVE',
startDate: '2021-01-01T00:00:00Z'
})
};
fetch('https://api.maesn.dev/accounting/projects', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.maesn.dev/accounting/projects",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'code' => '9012',
'contactId' => 'eaa28f49-6028-4b6e-bb12-d8f6278073fc',
'currency' => 'EUR',
'description' => 'Service and Maintenance Project',
'endDate' => '2021-01-01T00:00:00Z',
'name' => 'Service und Unterhalt',
'parentProjectId' => 'e587bs49-5be6-ee11-a201-6045bde98d28',
'status' => 'ACTIVE',
'startDate' => '2021-01-01T00:00:00Z'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"X-ACCOUNT-KEY: <x-account-key>",
"X-API-KEY: <x-api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.maesn.dev/accounting/projects"
payload := strings.NewReader("{\n \"code\": \"9012\",\n \"contactId\": \"eaa28f49-6028-4b6e-bb12-d8f6278073fc\",\n \"currency\": \"EUR\",\n \"description\": \"Service and Maintenance Project\",\n \"endDate\": \"2021-01-01T00:00:00Z\",\n \"name\": \"Service und Unterhalt\",\n \"parentProjectId\": \"e587bs49-5be6-ee11-a201-6045bde98d28\",\n \"status\": \"ACTIVE\",\n \"startDate\": \"2021-01-01T00:00:00Z\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("X-API-KEY", "<x-api-key>")
req.Header.Add("X-ACCOUNT-KEY", "<x-account-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.maesn.dev/accounting/projects")
.header("X-API-KEY", "<x-api-key>")
.header("X-ACCOUNT-KEY", "<x-account-key>")
.header("Content-Type", "application/json")
.body("{\n \"code\": \"9012\",\n \"contactId\": \"eaa28f49-6028-4b6e-bb12-d8f6278073fc\",\n \"currency\": \"EUR\",\n \"description\": \"Service and Maintenance Project\",\n \"endDate\": \"2021-01-01T00:00:00Z\",\n \"name\": \"Service und Unterhalt\",\n \"parentProjectId\": \"e587bs49-5be6-ee11-a201-6045bde98d28\",\n \"status\": \"ACTIVE\",\n \"startDate\": \"2021-01-01T00:00:00Z\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.maesn.dev/accounting/projects")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["X-API-KEY"] = '<x-api-key>'
request["X-ACCOUNT-KEY"] = '<x-account-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"code\": \"9012\",\n \"contactId\": \"eaa28f49-6028-4b6e-bb12-d8f6278073fc\",\n \"currency\": \"EUR\",\n \"description\": \"Service and Maintenance Project\",\n \"endDate\": \"2021-01-01T00:00:00Z\",\n \"name\": \"Service und Unterhalt\",\n \"parentProjectId\": \"e587bs49-5be6-ee11-a201-6045bde98d28\",\n \"status\": \"ACTIVE\",\n \"startDate\": \"2021-01-01T00:00:00Z\"\n}"
response = http.request(request)
puts response.read_body{
"meta": {
"warnings": [
"Field not used by target system"
],
"pagination": {
"total": 125,
"perPage": 50,
"currentPage": 1,
"totalPages": 3
},
"partialErrors": [
{
"code": "FILE_UPLOAD_FAILED",
"message": "Attachment invoice.pdf could not be uploaded to the target system."
}
]
},
"data": {
"id": "c1f85763-5be6-ee11-a201-6045bde98d28",
"code": "9012",
"createdDate": "2021-01-01T00:00:00Z",
"contactId": "eaa28f49-6028-4b6e-bb12-d8f6278073fc",
"currency": "EUR",
"description": "Service and Maintenance Project",
"endDate": "2021-01-01T00:00:00Z",
"name": "Service und Unterhalt",
"parentProjectId": "e587bs49-5be6-ee11-a201-6045bde98d28",
"status": "ACTIVE",
"startDate": "2021-01-01T00:00:00Z",
"updatedDate": "2021-01-01T00:00:00Z"
}
}Projects
Create project
POST
/
accounting
/
projects
cURL
curl --request POST \
--url https://api.maesn.dev/accounting/projects \
--header 'Content-Type: application/json' \
--header 'X-ACCOUNT-KEY: <x-account-key>' \
--header 'X-API-KEY: <x-api-key>' \
--data '
{
"code": "9012",
"contactId": "eaa28f49-6028-4b6e-bb12-d8f6278073fc",
"currency": "EUR",
"description": "Service and Maintenance Project",
"endDate": "2021-01-01T00:00:00Z",
"name": "Service und Unterhalt",
"parentProjectId": "e587bs49-5be6-ee11-a201-6045bde98d28",
"status": "ACTIVE",
"startDate": "2021-01-01T00:00:00Z"
}
'import requests
url = "https://api.maesn.dev/accounting/projects"
payload = {
"code": "9012",
"contactId": "eaa28f49-6028-4b6e-bb12-d8f6278073fc",
"currency": "EUR",
"description": "Service and Maintenance Project",
"endDate": "2021-01-01T00:00:00Z",
"name": "Service und Unterhalt",
"parentProjectId": "e587bs49-5be6-ee11-a201-6045bde98d28",
"status": "ACTIVE",
"startDate": "2021-01-01T00:00:00Z"
}
headers = {
"X-API-KEY": "<x-api-key>",
"X-ACCOUNT-KEY": "<x-account-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'X-API-KEY': '<x-api-key>',
'X-ACCOUNT-KEY': '<x-account-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
code: '9012',
contactId: 'eaa28f49-6028-4b6e-bb12-d8f6278073fc',
currency: 'EUR',
description: 'Service and Maintenance Project',
endDate: '2021-01-01T00:00:00Z',
name: 'Service und Unterhalt',
parentProjectId: 'e587bs49-5be6-ee11-a201-6045bde98d28',
status: 'ACTIVE',
startDate: '2021-01-01T00:00:00Z'
})
};
fetch('https://api.maesn.dev/accounting/projects', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.maesn.dev/accounting/projects",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'code' => '9012',
'contactId' => 'eaa28f49-6028-4b6e-bb12-d8f6278073fc',
'currency' => 'EUR',
'description' => 'Service and Maintenance Project',
'endDate' => '2021-01-01T00:00:00Z',
'name' => 'Service und Unterhalt',
'parentProjectId' => 'e587bs49-5be6-ee11-a201-6045bde98d28',
'status' => 'ACTIVE',
'startDate' => '2021-01-01T00:00:00Z'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"X-ACCOUNT-KEY: <x-account-key>",
"X-API-KEY: <x-api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.maesn.dev/accounting/projects"
payload := strings.NewReader("{\n \"code\": \"9012\",\n \"contactId\": \"eaa28f49-6028-4b6e-bb12-d8f6278073fc\",\n \"currency\": \"EUR\",\n \"description\": \"Service and Maintenance Project\",\n \"endDate\": \"2021-01-01T00:00:00Z\",\n \"name\": \"Service und Unterhalt\",\n \"parentProjectId\": \"e587bs49-5be6-ee11-a201-6045bde98d28\",\n \"status\": \"ACTIVE\",\n \"startDate\": \"2021-01-01T00:00:00Z\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("X-API-KEY", "<x-api-key>")
req.Header.Add("X-ACCOUNT-KEY", "<x-account-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.maesn.dev/accounting/projects")
.header("X-API-KEY", "<x-api-key>")
.header("X-ACCOUNT-KEY", "<x-account-key>")
.header("Content-Type", "application/json")
.body("{\n \"code\": \"9012\",\n \"contactId\": \"eaa28f49-6028-4b6e-bb12-d8f6278073fc\",\n \"currency\": \"EUR\",\n \"description\": \"Service and Maintenance Project\",\n \"endDate\": \"2021-01-01T00:00:00Z\",\n \"name\": \"Service und Unterhalt\",\n \"parentProjectId\": \"e587bs49-5be6-ee11-a201-6045bde98d28\",\n \"status\": \"ACTIVE\",\n \"startDate\": \"2021-01-01T00:00:00Z\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.maesn.dev/accounting/projects")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["X-API-KEY"] = '<x-api-key>'
request["X-ACCOUNT-KEY"] = '<x-account-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"code\": \"9012\",\n \"contactId\": \"eaa28f49-6028-4b6e-bb12-d8f6278073fc\",\n \"currency\": \"EUR\",\n \"description\": \"Service and Maintenance Project\",\n \"endDate\": \"2021-01-01T00:00:00Z\",\n \"name\": \"Service und Unterhalt\",\n \"parentProjectId\": \"e587bs49-5be6-ee11-a201-6045bde98d28\",\n \"status\": \"ACTIVE\",\n \"startDate\": \"2021-01-01T00:00:00Z\"\n}"
response = http.request(request)
puts response.read_body{
"meta": {
"warnings": [
"Field not used by target system"
],
"pagination": {
"total": 125,
"perPage": 50,
"currentPage": 1,
"totalPages": 3
},
"partialErrors": [
{
"code": "FILE_UPLOAD_FAILED",
"message": "Attachment invoice.pdf could not be uploaded to the target system."
}
]
},
"data": {
"id": "c1f85763-5be6-ee11-a201-6045bde98d28",
"code": "9012",
"createdDate": "2021-01-01T00:00:00Z",
"contactId": "eaa28f49-6028-4b6e-bb12-d8f6278073fc",
"currency": "EUR",
"description": "Service and Maintenance Project",
"endDate": "2021-01-01T00:00:00Z",
"name": "Service und Unterhalt",
"parentProjectId": "e587bs49-5be6-ee11-a201-6045bde98d28",
"status": "ACTIVE",
"startDate": "2021-01-01T00:00:00Z",
"updatedDate": "2021-01-01T00:00:00Z"
}
}Field support per integration

abacus
abacus
Please ensure the query parameter
environmentName is accurately populated with the appropriate environment.
You can obtain this value by using the GET Environments endpoint available under the Authentication section.string
enum
The
currency field supports ISO 4217 (3-letter codes).
For details visit the Standardized Data section.string
Headers
API key
Example:
"example value"
Account key
Example:
"example value"
Body
application/json
Example:
"9012"
Example:
"eaa28f49-6028-4b6e-bb12-d8f6278073fc"
Available options:
AED, AFN, ALL, AMD, ANG, AOA, ARS, AUD, AWG, AZN, BAM, BBD, BDT, BGN, BHD, BIF, BMD, BND, BOB, BRL, BSD, BTN, BWP, BYR, BZD, CAD, CDF, CHF, CLP, CNY, COP, CRC, CUC, CVE, CZK, DJF, DKK, DOP, DZD, EEK, EGP, ERN, ETB, EUR, FJD, FKP, GBP, GEL, GHS, GIP, GMD, GNF, GQE, GTQ, GYD, HKD, HNL, HRK, HTG, HUF, IDR, ILS, INR, IQD, IRR, ISK, JMD, JOD, JPY, KES, KGS, KHR, KMF, KPW, KRW, KWD, KYD, KZT, LAK, LBP, LKR, LRD, LSL, LTL, LVL, LYD, MAD, MDL, MGA, MKD, MMK, MNT, MOP, MRO, MUR, MVR, MWK, MXN, MYR, MZM, NAD, NGN, NIO, NOK, NPR, NZD, OMR, PAB, PEN, PGK, PHP, PKR, PLN, PYG, QAR, RON, RSD, RUB, SAR, SBD, SCR, SDG, SEK, SGD, SHP, SLL, SOS, SRD, SYP, SZL, THB, TJS, TMT, TND, TRY, TTD, TWD, TZS, UAH, UGX, USD, UYU, UZS, VEB, VND, VUV, WST, XAF, XCD, XDR, XOF, XPF, YER, ZAR, ZMK, ZWR Example:
"EUR"
Example:
"Service and Maintenance Project"
Example:
"2021-01-01T00:00:00Z"
Example:
"Service und Unterhalt"
Example:
"e587bs49-5be6-ee11-a201-6045bde98d28"
Available options:
ACTIVE, CLOSED Example:
"ACTIVE"
Example:
"2021-01-01T00:00:00Z"
Last modified on November 5, 2026
Was this page helpful?